# Function restore

- restore(fnm, loadAndSaveNewPlugin, restore_first_user?): Promise<string | void>

- Restore from backup

  #### Parameters

  - ##### fnm: string

  - ##### loadAndSaveNewPlugin: ((plugin) => void)

    - - (plugin): void

      - #### Parameters

        - ##### plugin: Plugin

        #### Returns void

  - ##### `Optional` restore_first_user: boolean

  #### Returns Promise<string | void>

  - Defined in saltcorn-admin-models/models/backup.ts:619

Generated using TypeDoc